---
title: DynamicsCompressorNode.threshold
slug: Web/API/DynamicsCompressorNode/threshold
tags:
  - API
  - DynamicsCompressorNode
  - Property
  - Reference
  - Web Audio API
  - threshold
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <code>threshold</code> property of the {{ domxref("DynamicsCompressorNode") }} interface is a <a href="/en-US/docs/DOM/AudioParam#k-rate">k-rate</a> {{domxref("AudioParam")}} representing the decibel value above which the compression will start taking effect.</p>

<p>The <code>threshold</code> property's default value is <code>-24</code> and it can be set between <code>-100</code> and <code>0</code>.</p>

<p><img alt="The threshold attribute has no effect on signals lowers than its value, but induce volume reduction on signal stronger than its value." src="https://mdn.mozillademos.org/files/5111/WebAudioThreshold.png" style="height: 219px; width: 257px;"></p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var audioCtx = new AudioContext();
var compressor = audioCtx.createDynamicsCompressor();
compressor.threshold.value = -50;
</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("AudioParam")}}.</p>

<div class="note">
<p><strong>Note</strong>: Though the {{domxref("AudioParam")}} returned is read-only, the value it represents is not.</p>
</div>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createDynamicsCompressor","Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-dynamicscompressornode-threshold', 'threshold')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DynamicsCompressorNode.threshold")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
